Subject: Re: Iproute2 tc pfifo_fast not work

From: Stephen Hemminger <[email-masked]>
Date: Thu, 4 Mar 2010 08:40:16 -0800

On Thu, 04 Mar 2010 11:54:15 +0300
Петухов Дмитрий <[email-masked]> wrote:

> Hi Stephen.
> 
> I've found that I can't add pfifo_fast qdisc to my tc class tree. It 
> just says:
> -----------
> # /sbin/tc qdisc add dev eth3 parent 2:299B handle 299B: pfifo_fast
> qdisc 'pfifo_fast' does not support option parsing
> -----------
> And nothing else happends.
> strace /sbin/tc qdisc add dev eth3 parent 2:299B handle 299B: pfifo_fast 
> &> tc_pfifo_strace.txt
> attached.
> 
> Kernel version 2.6.31, .config attached.
> tc version 2.6.31.
> 
> I do something wrong or this is a bug?
no

> For now I've switched to PRIO QDISC which seems to work fine, but it 
> would be great to use lithweigth pfifo_fast instead of prio...

pfifo_fast is very limited to being just a root qdisc, and with no
children.  If you want to do the same thing but in other context
just use pfifo.